Subject: [PATCHv5 2/2] clk: keystone: Add sci-clk driver support

From: [email-masked] (Stephen Boyd)
Date: Wed, 14 Jun 2017 09:05:34 -0700

On 06/13, Tero Kristo wrote:
> In K2G, the clock handling is done through firmware executing on a
> separate core. Linux kernel needs to communicate to the firmware
> through TI system control interface to access any power management
> related resources, including clocks.
> 
> The keystone sci-clk driver does this, by communicating to the
> firmware through the TI SCI driver. The driver adds support for
> registering clocks through DT, and basic required clock operations
> like prepare/get_rate, etc.
> 
> Signed-off-by: Tero Kristo <[email-masked]>
> ---

Applied to clk-next + made ti_sci_init_clocks() static

-- 
Qualcomm Innovation Center, Inc. is a member of Code Aurora Forum,
a Linux Foundation Collaborative Project